<?php

namespace Modules\ProjetAchat\Rules;

use Psr\Http\Message\ServerRequestInterface;

class ActionData
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function addData(): bool
    {
        return $this->main->creatEditAccess();
    }

    public function validateData(): bool
    {
        return $this->main->creatEditAccess();
    }

    public function editGestionData(): bool
    {
        return $this->main->creatEditAccess();
    }

    public function saveData(): bool
    {
        return $this->main->creatEditAccess();
    }

    public function deleteData(): bool
    {
        return $this->main->creatEditAccess();
    }


    /**
     * @return bool
     */
    public function generateInput(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxReorderData(): bool
    {
        return true;
    }
}
